
QGIS Application - Bug report #12503

qgis segfault when using gps live tracking

2015-04-02 08:10 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GPS Live Tracking

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 20649

Description

Message is:

(qgis.bin:6849): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

(qgis.bin:6849): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

(qgis.bin:6849): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

(qgis.bin:6849): Gtk-CRITICAL **: IA__gtk_widget_get_direction: assertion 'GTK_IS_WIDGET (widget)' failed

Segmentation fault

to replicate:

    -  connect to a bluetooth data logger, with gpsd in our case

    -  use qgis to connect to the gps/gpsd

    -  tracking is ok

    -  click on the "satellite" icon -> crash

this wasn't the case in previous qgis releases.

History

#1 - 2015-04-02 10:01 AM - Pedro Venâncio

I confirm this crash.

Tested on two different laptops, with QGIS 2.8.1 and QGIS master. Both with lubuntu 14.04 and using gpsd.

#2 - 2015-04-05 02:58 AM - Bo Victor Thomsen

Duplicate or related to #12393

#3 - 2015-04-05 04:20 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed
